com.genesyslab.wfm8.API.service.forecast810

## Class FrcActivityEventsEx

- java.lang.Object
- - com.genesyslab.wfm8.API.service.forecast810.FrcActivityEventsEx

- All Implemented Interfaces:
    java.io.Serializable

      public class FrcActivityEventsEx
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `activityId` Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0
    `protected int` | `buId` Business Unit ID
    `protected java.util.List<FrcEventsEx>` | `events` Forecast events array for forecast Activity
    `protected int` | `eventsArraySize` Events array size
    `private static long` | `serialVersionUID`
    `protected int` | `siteId` Site ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrcActivityEventsEx()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getActivityId()` Gets the activityId value for this FrcActivityEventsEx.
    `int` | `getBuId()` Gets the buId value for this FrcActivityEventsEx.
    `java.util.List<FrcEventsEx>` | `getEvents()` Gets the events value for this FrcActivityEventsEx.
    `int` | `getEventsArraySize()` Gets the eventsArraySize value for this FrcActivityEventsEx.
    `int` | `getSiteId()` Gets the siteId value for this FrcActivityEventsEx.
    `int` | `hashCode()`
    `void` | `setActivityId(int activityId)` Sets the activityId value for this FrcActivityEventsEx.
    `void` | `setBuId(int buId)` Sets the buId value for this FrcActivityEventsEx.
    `void` | `setEvents(java.util.List<FrcEventsEx> events)` Sets the events value for this FrcActivityEventsEx.
    `void` | `setEventsArraySize(int eventsArraySize)` Sets the eventsArraySize value for this FrcActivityEventsEx.
    `void` | `setSiteId(int siteId)` Sets the siteId value for this FrcActivityEventsEx.
    `java.lang.String` | `toString()`
    `FrcActivityEventsEx` | `withActivityId(int value)`
    `FrcActivityEventsEx` | `withBuId(int value)`
    `FrcActivityEventsEx` | `withEvents(java.util.Collection<FrcEventsEx> values)`
    `FrcActivityEventsEx` | `withEvents(FrcEventsEx... values)`
    `FrcActivityEventsEx` | `withEventsArraySize(int value)`
    `FrcActivityEventsEx` | `withSiteId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteId

          protected int siteId

      Site ID

    - #### activityId

          protected int activityId

      Activity ID if Site ID is not 0, otherwise Multi-site Activity ID and buId are not 0

    - #### buId

          protected int buId

      Business Unit ID

    - #### eventsArraySize

          protected int eventsArraySize

      Events array size

    - #### events

          protected java.util.List<FrcEventsEx> events

      Forecast events array for forecast Activity

  - ### Constructor Detail

    - #### FrcActivityEventsEx

          public FrcActivityEventsEx()

  - ### Method Detail

    - #### getSiteId

          public int getSiteId()

      Gets the siteId value for this FrcActivityEventsEx.
      Returns:
        siteId

    - #### setSiteId

          public void setSiteId(int siteId)

      Sets the siteId value for this FrcActivityEventsEx.
      Parameters:
        `siteId` -

    - #### getActivityId

          public int getActivityId()

      Gets the activityId value for this FrcActivityEventsEx.
      Returns:
        activityId

    - #### setActivityId

          public void setActivityId(int activityId)

      Sets the activityId value for this FrcActivityEventsEx.
      Parameters:
        `activityId` -

    - #### getBuId

          public int getBuId()

      Gets the buId value for this FrcActivityEventsEx.
      Returns:
        buId

    - #### setBuId

          public void setBuId(int buId)

      Sets the buId value for this FrcActivityEventsEx.
      Parameters:
        `buId` -

    - #### getEventsArraySize

          public int getEventsArraySize()

      Gets the eventsArraySize value for this FrcActivityEventsEx.
      Returns:
        eventsArraySize

    - #### setEventsArraySize

          public void setEventsArraySize(int eventsArraySize)

      Sets the eventsArraySize value for this FrcActivityEventsEx.
      Parameters:
        `eventsArraySize` -

    - #### getEvents

          public java.util.List<FrcEventsEx> getEvents()

      Gets the events value for this FrcActivityEventsEx.
      Returns:
        events

    - #### setEvents

          public void setEvents(java.util.List<FrcEventsEx> events)

      Sets the events value for this FrcActivityEventsEx.
      Parameters:
        `events` -

    - #### withEvents

          public FrcActivityEventsEx withEvents(java.util.Collection<FrcEventsEx> values)

    - #### withEvents

          public FrcActivityEventsEx withEvents(FrcEventsEx... values)

    - #### withEventsArraySize

          public FrcActivityEventsEx withEventsArraySize(int value)

    - #### withActivityId

          public FrcActivityEventsEx withActivityId(int value)

    - #### withSiteId

          public FrcActivityEventsEx withSiteId(int value)

    - #### withBuId

          public FrcActivityEventsEx withBuId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.